<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ClientImportAmountReport extends Model
{
    use HasFactory;

    public function client()
    {
        return $this->belongsTo(Client::class);
    }

    public function package()
    {
        return $this->belongsTo(Packages::class);
    }

    public function subPackage()
    {
        return $this->belongsTo(SubPackage::class);
    }

    public function pop()
    {
        return $this->belongsTo(Pop::class);
    }

    public function reseller()
    {
        return $this->belongsTo(Reseller::class);
    }
}
